On Wed, Oct 29, 2003 at 06:56:55AM +0900, Ian Macdonald wrote:

> > Can anyone see anything I'm doing wrong?  I don't recall any particular 
> > errors when I compiled ruby 1.8.0.
> 
> Look at the date of your version: 2002-12-24. It's an ancient copy, not
> the official 1.8.0 release.

Yeah, that must have been it.  This explains why downloading it and compiling again 
solved it.

Cheers,
-- 
Daniel Carrera    | OpenPGP KeyID: 9AF77A88
PhD grad student. | 
Mathematics Dept. | "To understand recursion, you must first
UMD, College Park | understand recursion".